<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>- Hello User -</title>
    <style>
        body {
            width: 100%;
            background-color: rgb(231, 244, 255);
            color: #2a2727;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            margin: 0;
            padding: 0;
            font-family: Arial, Helvetica, sans-serif;
            font-size: 20px;
        }

        .container {
            width: 70vw;
            height: 70vh;
            background-color: #e7e7e7;
            color: #34373d;
            display: flex;
            flex-direction: column;
            margin-top: 15px;
            padding-top: 20px;
            border: 4px black solid;
        }

        .container.dark-mode {
            background-color: #000401;
	        color: #e5e8e8;
            border: 4px brown solid;
        }

        #form {
            display: inline;
            margin: 16vh 0 0 8vw;
        }

        #form input {
            height: 30px;
            width: 400px;
            font-size: 20px;
            border-radius: 5px;
        }
   
        .btn {
            height: 40px;
            font-weight: 600;
            margin: 20px 0 0 8.7vw;
            border: 2px solid black;
            cursor: pointer;
            transition: .5s;
        }

        .btn:hover {
            background-color: #b1b4b4;
        }

        #mostrar{
            display: none;
            margin-top: 40px;
        }

        #mostrar h2 {
            margin-left: 12px;
            margin-bottom: 8vh;
        }

        #mostrar h3 {
            font-size: 30px;
            margin-left: 22vw;
        }
        
        #mostrar button {
            width: 180px;
            height: 60px;
            background-color: #4e545c ;
            color: #e5e8e8;
            border-radius: 40px;
            border: none;
            margin-left: 22.6vw;
            font-size: 1.4rem;
            cursor: pointer;
            transition: .5s all linear;
        }

        #mostrar button:hover {
            background-color: #000401;
        }

        #mostrar button.dark-mode {
            background-color: #e5e8e8;
	        color: #4e545c;
        }

        #mostrar button.dark-mode:hover {
            background-color: #4e545c;
	        color: #e5e8e8;
        }

        
        /* .dark-mode {
            background-color: #000401;
            color: #e5e8e8;
            border: 3px white solid;
        } */

        footer {
            margin-top: 10px;
        }
    </style>
</head>
<body>
    <h1>Página de Boas Vindas</h1>

    <div class="container">
        <form id="form">
            <h2>
                <label for="nome">Nome:</label>
                <input type="text" name="nome" id="nome" maxlength="40" required>
                <br>
                <input type="button" value="Apresentar" class="btn" onclick="apresenta()">
            </h2>
        </form>

        <div id="mostrar">
            <h2>Seja Bem-Vindo(a): <span id="apresenta">Nome</span>!</h2>
            <h3><span id="mode">Light</span> Mode ON</h3>
            <button type="button" id="selecionar-modo">Dark Mode</button> 
        </div>
    </div>

    <footer>
        <h2>By: Ystefane Karen Gurgel Benevides</h3>
    </footer>

    <script>
        function apresenta() {
            nome = document.getElementById('nome');
            usuario = document.getElementById('apresenta');
            form = document.getElementById('form');
            mostrar = document.getElementById('mostrar');

            if (nome.value == '') {
                alert("O nome deve ser preenchido."); 
                return;
            } else {
                usuario.innerHTML = nome.value;
                form.style.display = 'none';
                mostrar.style.display = 'inline';
            }
        }

        function changeMode() {
            changeClasses();
            changeText();
        }

        function changeClasses() {
            botao.classList.toggle(darkModeClass);
            h3.classList.toggle(darkModeClass);
            container.classList.toggle(darkModeClass);
        }

        function changeText() {
            const lightMode = "Light";
            const darkMode = "Dark";

            if (container.classList.contains(darkModeClass)) {
                botao.innerHTML = lightMode + " Mode";
                h3.innerHTML = darkMode;
                return;                
            }

            botao.innerHTML = darkMode + " Mode";
            h3.innerHTML = lightMode;
        }


        const darkModeClass = 'dark-mode';
        const botao = document.getElementById('selecionar-modo');
        const h3 = document.getElementById('mode');
        const container = document.getElementsByClassName('container')[0];

        botao.addEventListener('click', changeMode);    
    </script>
</body>
</html>